> For the complete documentation index, see [llms.txt](https://docs.convai.com/api-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.convai.com/api-docs/zh/cha-jian-yu-ji-cheng/convai-unreal-engine-plugin/getting-started/install-the-convai-plugin.md).

# 安装 Convai 插件

从 Fab 或 GitHub Releases 安装 Convai Unreal Engine 插件，在项目中启用它，并重启 Unreal Editor。

Convai 虚幻引擎插件提供两种安装渠道。请查看下方对比，选择适合您工作流程的渠道，然后按照相应步骤操作。

{% embed url="<https://youtu.be/n-UG3nmMeZQ>" %}
安装 Convai 插件并添加您的第一个角色
{% endembed %}

### Fab 与 GitHub：如何选择

| 因素     | Fab                 | GitHub Releases         |
| ------ | ------------------- | ----------------------- |
| 更新频率   | 较低                  | 较高                      |
| 稳定性    | 最稳定的版本              | 包含最新功能；可能包含预发布修复        |
| 安装方式   | Epic Games Launcher | 手动：下载、解压并复制到 `Plugins/` |
| 引擎版本选择 | 由启动器处理              | 选择与您的 UE 版本匹配的 zip 文件   |

### 安装插件

{% tabs %}
{% tab title="Fab（推荐）" %}
Fab 提供稳定且由启动器管理的版本。更新频率低于 GitHub，但无需手动管理文件。

{% stepper %}
{% step %}

#### 打开 Fab 商品页面

打开 Epic Games Launcher 并前往 Fab 商店，或直接访问插件商品页面：

[Fab 上的 Convai 插件](https://www.fab.com/listings/ba3145af-d2ef-434a-8bc3-f3fa1dfe7d5c)
{% endstep %}

{% step %}

#### 安装到引擎或项目

在商品页面上，点击 **Install to Engine** 可将插件安装到特定引擎版本，或点击 **Add to project** 将其直接添加到项目。选择目标引擎或项目并确认。
{% endstep %}

{% step %}

#### 启动项目

在虚幻引擎中打开项目。接下来即可启用该插件。
{% endstep %}
{% endstepper %}
{% endtab %}

{% tab title="GitHub Releases" %}
GitHub Releases 比 Fab 更早提供新功能和修复。需要最新版本或特定插件版本时，请使用此方法。

{% stepper %}
{% step %}

#### 下载发布版 zip 文件

前往 [GitHub 上的 Convai 虚幻引擎 SDK 发布页面](https://github.com/Conv-AI/Convai-UnrealEngine-SDK-V4/releases) 找到与您所需版本相符的发布版本，并下载适用于您虚幻引擎版本的 zip 文件。
{% endstep %}

{% step %}

#### 解压插件

解压 zip 文件。解压后的文件夹应命名为 `Convai` 并且其根目录下应包含 `ConvAI.uplugin` 文件。
{% endstep %}

{% step %}

#### 在项目中创建 Plugins 文件夹

在项目根目录（包含 `.uproject` 文件的文件夹）中，创建一个 `Plugins/` 文件夹（如果该文件夹尚不存在）。
{% endstep %}

{% step %}

#### 将插件移入项目

将 `Convai` 文件夹复制或移动到 `Plugins/`中。最终路径应为：

```
YourProject/
  Plugins/
    Convai/
      ConvAI.uplugin
```

{% endstep %}

{% step %}

#### 打开项目

使用项目启动 Unreal Editor。如果提示重新生成模块，请点击 **是**.
{% endstep %}
{% endstepper %}
{% endtab %}
{% endtabs %}

### 启用插件

无论使用哪种安装方式，都需要在编辑器中启用插件：

{% stepper %}
{% step %}

#### 打开插件面板

在 Unreal Editor 菜单栏中，选择 **编辑 > 插件**.
{% endstep %}

{% step %}

#### 查找并启用 Convai

在搜索框中输入 `Convai`。在搜索结果中找到 **Convai** 插件，然后勾选 **已启用** 复选框。
{% endstep %}

{% step %}

#### 重新启动编辑器

系统会提示你重启。点击 **立即重启**。编辑器重新打开后，Convai 编辑器窗口会自动打开并提示你登录。
{% endstep %}
{% endstepper %}

{% hint style="success" %}
插件成功加载后，Convai 工具栏图标会显示在 Unreal Editor 工具栏中，并打开 Convai 编辑器窗口供你登录。
{% endhint %}

### 后续步骤

{% content-ref url="/pages/d6af0b14fc209017d2d18543ad38076bb0efe8f6" %}
[配置你的 API 密钥](https://docs.convai.com/api-docs/zh/cha-jian-yu-ji-cheng/convai-unreal-engine-plugin/getting-started/configure-your-api-key.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.convai.com/api-docs/zh/cha-jian-yu-ji-cheng/convai-unreal-engine-plugin/getting-started/install-the-convai-plugin.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
